#!/bin/sh

# FC should be the path to FontzControl
FC=/root/cfa/me/cfa631
# Display the startup screen. Only shows ONCE.
$FC clear
$FC keydisable
$FC cursor 0
$FC definebignum
QUIT=0

OLDHOURMINUTE=''
LEGEND=0
while [ $QUIT -eq 0 ]; do
	TIME=`date +"%H:%M:%S"`
	HOURMINUTE=`echo $TIME | sed -e 's/^\([0-9]\):\([0-9]\)\([0-9]\):[0-9]*$/  \1 . \2 \3/' -e 's/^\([0-9]\)\([0-9]\):\([0-9]\)\([0-9]\):[0-9]*$/\1 \2 . \3 \4/'`
	SEC="`echo $TIME | sed 's/^[0-9]*:[0-9]*:\([0-9]*\)$/\1/'`"
	if [ "x$OLDHOURMINUTE" != "x$HOURMINUTE" ]; then
		$FC writebignum 5 "$HOURMINUTE"
		OLDHOURMINUTE=$HOURMINUTE
	fi
	$FC writetext 15 2 "$SEC"
#	sleep 1
	key=`$FC getkey 0 1`
	if [ $LEGEND -gt 0 ]; then
		if [ $key -eq 0 ]; then
			LEGEND=`expr $LEGEND - 1`
			if [ $LEGEND -eq 0 ]; then
				$FC keydisable
				$FC definebignum
			fi
		elif [ $key -ge 10 ]; then
			QUIT=$key
		fi
	elif [ $key -ge 10 ]; then
		$FC keylegend 3 1 6 5
		LEGEND=5
	fi
done

exit $QUIT
